classification
Title: Document sys.path on Windows
Type: behavior Stage: needs patch
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, ajaksu2, akuchling, brian.curtin, catalin.iacob, docs@python, eric.araujo, fdrake, georg.brandl, jafo, matthieu.labbe, mhammond, ruseel, taleinat, tim.golden, tim.peters
Priority: normal Keywords: easy, patch

Created on 2001-09-06 02:05 by mhammond, last changed 2010-10-17 10:05 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
comment_move_to_windows_rst.patch ruseel, 2010-09-24 15:13
Messages (14)
msg6408 - (view) Author: Mark Hammond (mhammond) * (Python committer) Date: 2001-09-06 02:05
I keep promising to document how Python builds the 
sys.path.  Please-holder so Tim has a consistent place 
to hassle me :)
msg6409 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2001-12-27 04:24
Logged In: YES 
user_id=3066

Raised priority since we keep answering questions about
this, and there's now a chance that it'll get done.  ;-)
msg6410 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2001-12-27 05:35
Logged In: YES 
user_id=31435

Nice try, Fred -- but I figure Mark knows that if he does 
this, we'll just ask him to document the registry on 
Windows too <wink>.
msg6411 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2001-12-27 05:45
Logged In: YES 
user_id=3066

Only so far as we use it!  The _winreg module already has
documentation, and no one has filed a bug report on it.
msg55348 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2007-08-28 03:25
This is a high priority item that hasn't been touched in half a decade.
 Mark: Consider this a reminder if this is still on your agenda to do. 
If not, shall we just close it?  Is there anyone else that could do this?
msg73954 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-28 02:44
I think this item doesn't need to be handled
by Mark.  There's a comment at the top of 
PC/getpathp.c giving the rules, so it's 
just a matter of editing the text and adding reST
markup.  But where in the docs should this material go?  using/windows.rst?
msg107993 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2010-06-17 07:38
Wow, this has been on hold for ages! I know I could have used this information in the past, and several people have asked me about this.

Perhaps there should be a place in the documentations which explains how sys.path is populated, with detailed explanations for different platforms?

With some guidance as per the right place in the docs for this, I'll gladly work on this. Note that I'm not an expert on this issue, I just plan to gather information form several places and write up a single nice documentation page.
msg110481 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-16 19:59
Tim, Brian I've added you to the nosy list as I think you could assist.  Unless I get a response within the next 10 years I will close this as "out of date"
msg110484 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-16 20:10
Out of date seems an inaccurate status to me. Bugs may take weeks to years to be fixed. This one is tagged easy (according to amk in msg73954), so perhaps someone will have a go at it during a Bug Day or a spring, or one of the docs people will just do it (e.g. me after my summer job).
msg110486 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-16 20:12
s/spring/sprint/ :)
msg110495 - (view) Author: Mark Hammond (mhammond) * (Python committer) Date: 2010-07-16 20:58
FWIW, I think the rules are fairly well explained in the comments in PC/getpathp.c; last time I looked at this, the only thing I couldn't really decide was where in the official docs these comments should be put (after reformatting and minor rewording etc)
msg110797 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-19 18:47
using/windows.rst seems the best place to add comments from PC/getpathp.c, under the “Finding modules” section.
msg117290 - (view) Author: MunSic JEONG (ruseel) Date: 2010-09-24 15:13
I made patch which move comment from PC/getpathp.c to Doc/using/windows.rst. And did a little editing, reST markup.

http://codereview.appspot.com/2211046
msg118922 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-17 10:05
Thanks for the patch, merged with existing info in using/windows.rst in r85615.
History
Date User Action Args
2010-10-17 10:05:32georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg118922
2010-09-24 15:13:41ruseelsetfiles: + comment_move_to_windows_rst.patch
keywords: + patch
messages: + msg117290
2010-09-24 05:05:22ruseelsetnosy: + ruseel
2010-07-19 18:47:36eric.araujosetmessages: + msg110797
2010-07-16 20:58:45mhammondsetmessages: + msg110495
2010-07-16 20:12:29eric.araujosetmessages: + msg110486
2010-07-16 20:10:14eric.araujosetnosy: + eric.araujo
messages: + msg110484
2010-07-16 19:59:53BreamoreBoysetnosy: + tim.golden, brian.curtin, BreamoreBoy
messages: + msg110481
2010-07-16 16:22:20matthieu.labbesetnosy: + matthieu.labbe
2010-07-02 13:23:05catalin.iacobsetnosy: + catalin.iacob
2010-06-17 07:38:49taleinatsetnosy: + taleinat
messages: + msg107993
2010-06-12 13:09:48eric.araujosetassignee: georg.brandl -> docs@python

nosy: + docs@python
versions: + Python 3.2, - Python 3.0
2009-04-05 20:38:36georg.brandlsetpriority: high -> normal
assignee: mhammond -> georg.brandl

nosy: + georg.brandl
2009-04-04 07:34:51r.david.murraysetkeywords: + easy
versions: + Python 3.1, Python 2.7
2009-02-12 19:42:32ajaksu2setnosy: + ajaksu2
stage: needs patch
type: behavior
versions: + Python 2.6, Python 3.0
2008-09-28 02:44:44akuchlingsetnosy: + akuchling
messages: + msg73954
2007-08-28 03:25:14jafosetnosy: + jafo
messages: + msg55348
2001-09-06 02:05:13mhammondcreate